npm Package

Run the following command to install the main DevExtreme package's major release version:

npm install devextreme@18.2 --save --save-exact

DevExtreme also provides packages that contain hotfixes and new features for early testing. Run the following command to install the latest published version (a stable or a pre-release version):

npm install devextreme@18.2-next --save --save-exact
NOTE
We recommend saving an exact version of DevExtreme to avoid unexpected updates because DevExtreme does not use Semantic Versioning. In our versioning system, the first and middle number indicates a major release which may contain behavior changes.

You need additional npm packages to use DevExtreme with Angular, Vue or React. See the instructions in the dedicated GitHub repositories: Angular, Vue, React.

Using Yarn

All npm DevExtreme packages can be installed using Yarn. Run the following command to install the main DevExtreme package:

yarn add devextreme@18.2 --exact

The following command installs the latest published version (a stable or a pre-release version):

yarn add devextreme@18.2-next --exact

You should also install packages for Angular, Vue, or React if you are going to use DevExtreme components with these frameworks.

See Also